# Generated from assistant-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name assistant

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Simple, composable services
License: MIT
URL: https://github.com/ramongr/assistant
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.8
# BuildRequires: rubygem(brakeman) >= 5.2
# BuildRequires: rubygem(brakeman) < 6
# BuildRequires: rubygem(colorize) >= 0.8.1
# BuildRequires: rubygem(colorize) < 0.9
# BuildRequires: rubygem(fasterer) >= 0.9.0
# BuildRequires: rubygem(fasterer) < 0.10
# BuildRequires: rubygem(rspec) >= 3.10
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 1.24
# BuildRequires: rubygem(rubocop) < 2
# BuildRequires: rubygem(rubocop) >= 1.24.1
# BuildRequires: rubygem(rubocop-faker) >= 1.1
# BuildRequires: rubygem(rubocop-faker) < 2
# BuildRequires: rubygem(rubocop-performance) >= 1.13
# BuildRequires: rubygem(rubocop-performance) < 2
# BuildRequires: rubygem(rubocop-performance) >= 1.13.2
# BuildRequires: rubygem(rubocop-rspec) >= 2.7
# BuildRequires: rubygem(rubocop-rspec) < 3
BuildArch: noarch

%description
Simple, composable services.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.fasterer.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/assistant.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.1-1
- Initial package
